OGRE-Next: Ogre::Particle Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | List of all members
Ogre::Particle Class Reference
Core » Effects

Class representing a single particle instance. More...

`#include <OgreParticle.h>`

Inheritance diagram for Ogre::Particle:
[legend]

## Public Types
enum | ParticleType { Visual , Emitter }
| Type of particle. More...

## Public Member Functions
| Particle ()
void | _notifyOwner (ParticleSystem *owner)
| Internal method for notifying the particle of it's owner.
void | _notifyVisualData (ParticleVisualData *vis)
| Internal method for notifying the particle of it's optional visual data.
Real | getOwnHeight () const
| Retrieves the particle's personal width, if hasOwnDimensions is true.
Real | getOwnWidth () const
| Retrieves the particle's personal width, if hasOwnDimensions is true.
const Radian & | getRotation () const
ParticleVisualData * | getVisualData () const
| Get the optional visual data associated with the class.
bool | hasOwnDimensions () const
| Returns true if this particle deviates from the ParticleSystem's default dimensions (i.e.
void | resetDimensions ()
| Utility method to reset this particle.
void | setDimensions (Real width, Real height)
| Sets the width and height for this particle.
void | setRotation (const Radian &rad)
| Sets the current rotation.

## Public Attributes
ColourValue | mColour
| Current colour.
Vector3 | mDirection
| Direction (and speed)
Real | mHeight
| Personal height if mOwnDimensions == true.
bool | mOwnDimensions
| Does this particle have it's own dimensions?
ParticleType | mParticleType
| Determines the type of particle.
Vector3 | mPosition
| World position.
Radian | mRotation
| Current rotation value.
Radian | mRotationSpeed
| Speed of rotation in radians/sec.
Real | mTimeToLive
| Time to live, number of seconds left of particles natural life.
Real | mTotalTimeToLive
| Total Time to live, number of seconds of particles natural life.
Real | mWidth
| Personal width if mOwnDimensions == true.

## Detailed Description

Class representing a single particle instance.

## Member Enumeration Documentation

## ◆ ParticleType

enum Ogre::Particle::ParticleType

Type of particle.

Enumerator
Visual |
Emitter |

## Constructor & Destructor Documentation

## ◆ Particle()

Ogre::Particle::Particle | ( |  | ) |
| inline

References mColour, mDirection, mHeight, mOwnDimensions, mParticleType, mPosition, mRotation, mRotationSpeed, mTimeToLive, mTotalTimeToLive, mWidth, and Visual.

Referenced by Ogre::ParticleEmitter::_initParticle().

## Member Function Documentation

## ◆ _notifyOwner()

void Ogre::Particle::_notifyOwner | ( | ParticleSystem * | owner | ) |

Internal method for notifying the particle of it's owner.

## ◆ _notifyVisualData()

void Ogre::Particle::_notifyVisualData | ( | ParticleVisualData * | vis | ) |
| inline

Internal method for notifying the particle of it's optional visual data.

## ◆ getOwnHeight()

Real Ogre::Particle::getOwnHeight | ( |  | ) | const
| inline

Retrieves the particle's personal width, if hasOwnDimensions is true.

References mHeight.

## ◆ getOwnWidth()

Real Ogre::Particle::getOwnWidth | ( |  | ) | const
| inline

Retrieves the particle's personal width, if hasOwnDimensions is true.

References mWidth.

## ◆ getRotation()

const Radian & Ogre::Particle::getRotation | ( |  | ) | const
| inline

References mRotation.

## ◆ getVisualData()

ParticleVisualData * Ogre::Particle::getVisualData | ( |  | ) | const
| inline

Get the optional visual data associated with the class.

## ◆ hasOwnDimensions()

bool Ogre::Particle::hasOwnDimensions | ( |  | ) | const
| inline

Returns true if this particle deviates from the ParticleSystem's default dimensions (i.e.

if the particle::setDimensions method has been called for this instance).

See also
  particle::setDimensions

References mOwnDimensions.

## ◆ resetDimensions()

void Ogre::Particle::resetDimensions | ( |  | ) |

Utility method to reset this particle.

Referenced by Ogre::ParticleEmitter::_initParticle().

## ◆ setDimensions()

void Ogre::Particle::setDimensions | ( | Real | width,
|  | Real | height )

Sets the width and height for this particle.

Remarks
  Note that it is most efficient for every particle in a ParticleSystem to have the same dimensions. If you choose to alter the dimensions of an individual particle the set will be less efficient. Do not call this method unless you really need to have different particle dimensions within the same set. Otherwise just call the ParticleSystem::setDefaultDimensions method instead.

## ◆ setRotation()

void Ogre::Particle::setRotation | ( | const Radian & | rad | ) |

Sets the current rotation.

## Member Data Documentation

## ◆ mColour

ColourValue Ogre::Particle::mColour

Current colour.

Referenced by Particle().

## ◆ mDirection

Vector3 Ogre::Particle::mDirection

Direction (and speed)

Referenced by Particle().

## ◆ mHeight

Real Ogre::Particle::mHeight

Personal height if mOwnDimensions == true.

Referenced by Particle(), and getOwnHeight().

## ◆ mOwnDimensions

bool Ogre::Particle::mOwnDimensions

Does this particle have it's own dimensions?

Referenced by Particle(), and hasOwnDimensions().

## ◆ mParticleType

ParticleType Ogre::Particle::mParticleType

Determines the type of particle.

Referenced by Particle().

## ◆ mPosition

Vector3 Ogre::Particle::mPosition

World position.

Referenced by Particle().

## ◆ mRotation

Radian Ogre::Particle::mRotation

Current rotation value.

Referenced by Particle(), and getRotation().

## ◆ mRotationSpeed

Radian Ogre::Particle::mRotationSpeed

Speed of rotation in radians/sec.

Referenced by Particle().

## ◆ mTimeToLive

Real Ogre::Particle::mTimeToLive

Time to live, number of seconds left of particles natural life.

Referenced by Particle().

## ◆ mTotalTimeToLive

Real Ogre::Particle::mTotalTimeToLive

Total Time to live, number of seconds of particles natural life.

Referenced by Particle().

## ◆ mWidth

Real Ogre::Particle::mWidth

Personal width if mOwnDimensions == true.

Referenced by Particle(), and getOwnWidth().

The documentation for this class was generated from the following file:

- OgreParticle.h